org.codehaus.plexus.component.discovery

## Class PlexusXmlComponentDiscoverer

- java.lang.Object
- - org.codehaus.plexus.component.discovery.AbstractResourceBasedComponentDiscoverer
  - - org.codehaus.plexus.component.discovery.PlexusXmlComponentDiscoverer

All Implemented Interfaces:
  ComponentDiscoverer

    public class PlexusXmlComponentDiscoverer
    extends AbstractResourceBasedComponentDiscoverer

### Constructor Summary

Constructors
Constructor and Description
`PlexusXmlComponentDiscoverer()`

### Method Summary

Methods
`protected ComponentSetDescriptor` `createComponentDescriptors(java.io.Reader reader, java.lang.String source, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`
`java.lang.String` `getComponentDescriptorLocation()`

### Methods inherited from class org.codehaus.plexus.component.discovery.AbstractResourceBasedComponentDiscoverer

`findComponents`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusXmlComponentDiscoverer

    public PlexusXmlComponentDiscoverer()

### Method Detail

#### getComponentDescriptorLocation

    public java.lang.String getComponentDescriptorLocation()

Specified by:
  `getComponentDescriptorLocation` in class `AbstractResourceBasedComponentDiscoverer`

#### createComponentDescriptors

    protected ComponentSetDescriptor createComponentDescriptors(java.io.Reader reader,
                                                    java.lang.String source,
                                                    org.codehaus.plexus.classworlds.realm.ClassRealm realm)
                                                         throws PlexusConfigurationException

Specified by:
  `createComponentDescriptors` in class `AbstractResourceBasedComponentDiscoverer`
Throws:
  `PlexusConfigurationException`